Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context.request
Class RequestContextListener

    java.lang.Object
      org.springframework.web.context.request.RequestContextListener

All Implemented Interfaces:
  EventListener, ServletRequestListener

    public class RequestContextListener

extends Object
implements ServletRequestListener

Servlet 2.4+ listener that exposes the request to the current thread, through both `LocaleContextHolder` and `RequestContextHolder`. To be registered as listener in `web.xml`.

Alternatively, Spring's `RequestContextFilter` and Spring's `DispatcherServlet` also expose the same request context to the current thread. In contrast to this listener, advanced options are available there (e.g. "threadContextInheritable").

This listener is mainly for use with third-party servlets, e.g. the JSF FacesServlet. Within Spring's own web support, DispatcherServlet's processing is perfectly sufficient.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `ServletRequestListener`, `LocaleContextHolder`, `RequestContextHolder`, `RequestContextFilter`, `DispatcherServlet`

Field Summary
`protected Log` | `logger` Logger available to subclasses

Constructor Summary
`RequestContextListener()`

Method Summary
`void` | `requestDestroyed(ServletRequestEvent requestEvent)`
`void` | `requestInitialized(ServletRequestEvent requestEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

  Logger available to subclasses

Constructor Detail

### RequestContextListener

    public RequestContextListener()

Method Detail

### requestInitialized

    public void requestInitialized(ServletRequestEvent requestEvent)

  Specified by:
    `requestInitialized` in interface `ServletRequestListener`

### requestDestroyed

    public void requestDestroyed(ServletRequestEvent requestEvent)

  Specified by:
    `requestDestroyed` in interface `ServletRequestListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.